colobot (0.2.0-2build4) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 09:50:19 -0500

colobot (0.2.0-2build3) kinetic; urgency=medium

  * No-change rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 30 Apr 2022 11:50:36 -0400

colobot (0.2.0-2build2) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 15:59:02 +0100

colobot (0.2.0-2build1) jammy; urgency=medium

  * No-change rebuild against libglew2.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 13:12:43 +0000

colobot (0.2.0-2) unstable; urgency=medium

  * Remove myself from Uploaders

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Sep 2021 18:18:36 +0200

colobot (0.2.0-1) unstable; urgency=low

  * New 0.2.0 – “Plan B” release
    - Update and refresh patches' series
  * Packaging cleanup
    - Upgrade to S-V 4.6.0 without changes needed
    - Run wrap-and-sort -baskt
    - Install mod/AltTextures in colobot-common-textures

 -- Didier Raboud <odyx@debian.org>  Tue, 24 Aug 2021 18:35:10 +0200

colobot (0.1.12-8) experimental; urgency=medium

  [ Jeff Law ]
  * Add patch to fix dynamic casts to avoid gcc-11 diagnostics
    (Closes: #984021)

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Apr 2021 20:04:58 +0200

colobot (0.1.12-7) unstable; urgency=medium

  [ Anton Gladky ]
  * Fix FTBFS against boost_1.74 (Closes: #974603)

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Nov 2020 17:04:55 +0100

colobot (0.1.12-6) unstable; urgency=medium

  * d/rules cleanup:
    - Add clarifying comments
    - Drop obsolete dh_strip ddeb-migration
    - Pass -DCMAKE_SKIP_INSTALL_ALL_DEPENDENCY=OFF to keep building arch:all
      only under debhelper 13

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 15:55:27 +0200

colobot (0.1.12-5) unstable; urgency=medium

  * Backport upstream 'fix missing std includes' patch, fixing FTBFS with
    GCC-10 (Closes: #957096)
  * Lintian-brush:
    - Bump debhelper from old 10 to 13.
    - Set debhelper-compat version in Build-Depends.
    - Set upstream metadata fields: Bug-Database, Bug-Submit.
    - Rely on pre-initialized dpkg-architecture variables.
  * Install missing icons and metainfo; list the non-installed files

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 09:25:02 +0200

colobot (0.1.12-4) unstable; urgency=medium

  * Add patch to use data translations from current 'dev', to get the most
    recent french translations
  * Bump S-V to 4.5.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 01 May 2020 15:10:00 +0200

colobot (0.1.12-3) unstable; urgency=medium

  * Add patch from Simon McVittie on opnjk to rely on libsdl2-dev (>= 2.0.4)
    providing a CMake "config-file package"; fixes FTBFS (Closes: #952012)

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Feb 2020 10:15:18 +0100

colobot (0.1.12-2) unstable; urgency=medium

  [ Didier Raboud ]
  * Upload to unstable
    - Fixes FTBFS on GCC-9 (Closes: #925656)

  [ Reiner Herrmann ]
  * Add watch file

 -- Didier Raboud <odyx@debian.org>  Sat, 17 Aug 2019 16:51:34 +0200

colobot (0.1.12-1) experimental; urgency=low

  * New 0.1.12 upstream release

  * Refresh patches
  * Update dh_auto_configure call for OFFICIAL_COLOBOT_BUILD variable rename
  * Revert 'Fix Linux savegame path issue' upstream change: don't move from
    XDG_CONFIG_DATA to XDG_DATA_HOME just now; it needs proper migration

 -- Didier Raboud <odyx@debian.org>  Sun, 24 Feb 2019 13:18:07 +0100

colobot (0.1.11.1-6) unstable; urgency=medium

  * Backport PR#38 on colobot-data to fix goto's goal argument parameter
    default value documentation (Closes: #919455)

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Jan 2019 09:45:10 +0100

colobot (0.1.11.1-5) unstable; urgency=medium

  * Bump S-B to 4.2.1 without changes needed
  * Upload the FTBFS fix to unstable

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Aug 2018 20:17:32 +0200

colobot (0.1.11.1-4) experimental; urgency=low

  * CMake: Specify python(3) executable path

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Aug 2018 08:47:25 +0200

colobot (0.1.11.1-3) unstable; urgency=medium

  * Mark armel and armhf as hippomocks-broken; also do not build tests at all
    under these architectures; fixes FTBFS with GCC-8

 -- Didier Raboud <odyx@debian.org>  Mon, 27 Aug 2018 18:58:46 +0200

colobot (0.1.11.1-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Backport upstream-merged fix for GCC8 FTBFS (Closes: #906345)

 -- Didier Raboud <odyx@debian.org>  Mon, 20 Aug 2018 22:17:06 +0200

colobot (0.1.11.1-1) unstable; urgency=medium

  * New 0.1.11.1 upstream technical update

  * Update Vcs-* to point to Salsa
  * Bump Standards-Version to 4.1.4 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 15 May 2018 17:32:15 +0200

colobot (0.1.11-1) unstable; urgency=medium

  * New 0.1.11 upstream release

  * Revert "Add menu file and xpm icon"
    This reverts commit a59d1606c3592fad39194c0bc6b49e555acf9f6f.
  * Bump S-V to 4.1.1
  * Update Vcs-* and Hompage URLs to https variants
  * Fix DEB_HOST_ARCH_OS dpkg-architecture variable setting

 -- Didier Raboud <odyx@debian.org>  Fri, 10 Nov 2017 12:08:07 +0100

colobot (0.1.10-2) unstable; urgency=medium

  * Migrate 0.1.10 to unstable
  * Bump Standards-Version to 4.0.0 without changes needed
  * Migrate to debhelper compat 10

 -- Didier Raboud <odyx@debian.org>  Sun, 23 Jul 2017 11:27:51 +0200

colobot (0.1.10-1) experimental; urgency=low

  * New upstream release: 0.1.10

 -- Didier Raboud <odyx@debian.org>  Tue, 30 May 2017 16:37:44 +0200

colobot (0.1.9-5) unstable; urgency=medium

  * Add patch to find the available level translations with a sorted
    os.listdir, to avoid picking unreproducibilty from the directory files
    order

 -- Didier Raboud <odyx@debian.org>  Sat, 17 Dec 2016 14:10:44 +0100

colobot (0.1.9-4) unstable; urgency=medium

  * Update oggenc-reproducibility patch to use the original file's bytesize as
    --serial integer (Closes: #846976)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Dec 2016 13:35:48 +0100

colobot (0.1.9-3) unstable; urgency=medium

  * Revert "Patch hippomocks to broaden its architecture support"
  * Allow tests to fail on architectures without support in hippomocks,
    circumvent the FTBFS

 -- Didier Raboud <odyx@debian.org>  Tue, 08 Nov 2016 20:36:37 +0100

colobot (0.1.9-2) unstable; urgency=medium

  * Patch hippomocks to broaden its architecture support.
    This should fix the mips* and arm64 FTBFS'es.
    Thanks-to: Philippe Coval <philippe.coval@osg.samsung.com>

 -- Didier Raboud <odyx@debian.org>  Mon, 07 Nov 2016 08:37:19 +0100

colobot (0.1.9-1) unstable; urgency=medium

  * New upstream release: 0.1.9

  * Build and run unit tests
  * Set the 'Official Build' flag
  * Make all arch:all packages Multi-Arch: foreign
  * Reproducibility patches:
    - Patch the flac-to-ogg conversion to use the filename as ogg serial number
    - Patch the Doxygen configuration to avoid embedding the build path in the
      documentation

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Nov 2016 12:04:36 +0100

colobot (0.1.8-2) unstable; urgency=medium

  * Move xmlstarlet from B-D-I to B-D; fixes arch-only FTBFS

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Jul 2016 20:12:04 +0200

colobot (0.1.8-1) unstable; urgency=medium

  * New upstream release: 0.1.8

  * Bump S-V to 3.9.8 without changes needed
  * Add xmlstarlet as B-D needed for the new SVG resizing code

 -- Didier Raboud <odyx@debian.org>  Mon, 11 Jul 2016 10:39:08 +0200

colobot (0.1.7b-1) unstable; urgency=medium

  * New upstream release: 0.1.7b
    - Fixed log file creation crash (#755)

 -- Didier Raboud <odyx@debian.org>  Mon, 04 Apr 2016 17:06:19 +0200

colobot (0.1.7-1) unstable; urgency=medium

  * New upstream release: 0.1.7

  * Bump Build-Depends to use SDL2
  * Refresh debian/copyright, fix spelling error in LGPL-2.1 entry
  * Bump S-V to 3.9.7 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 30 Mar 2016 15:29:15 +0200

colobot (0.1.6-2) unstable; urgency=medium

  * Team upload.
  * Update B-D to libpng-dev only, versioned depend is no longer needed
    (Closes: #809859)
  * Remove -dbg package in favour of automatic -dbgsym package. This requires
    debhelper >= 9.20151219.
  * Bump S-V to 3.9.6 -- no changes
  * Enable verbose build, so that the tools can check the compilerflags

 -- Tobias Frost <tobi@debian.org>  Fri, 08 Jan 2016 10:33:16 +0100

colobot (0.1.6-1) unstable; urgency=medium

  * New upstream release: 0.1.6 The Code Battle Update

  * Drop debian/source/local-options that is now obsolete
  * Rework the handling of music re-encoding:
     - Patch the music CMake machinery to cope with the music orig archive
       being unpacked at the root of the source directory
     - Make sure arch-indep builds don't try to oggenc the music files
  * Update debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Thu, 17 Sep 2015 12:31:59 +0200

colobot (0.1.5-2) unstable; urgency=medium

  * Install the OpenGL 2.1 and 3.3 shaders in colobot-common

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Jun 2015 09:52:17 +0200

colobot (0.1.5-1) unstable; urgency=low

  * New 0.1.5 upstream release
    - Disable timestamps in the Doxygen-generated HTML documentation, to help
      reproducible builds (Closes: #787829)
    - Allow PHYSFS to follow symlinks, fixes the launch on Debian systems which
      fonts' are symlinks to the system fonts

  * Wrap-and-sort the debian/control file
  * Add libphysfs-dev and vorbis-tools to B-D
  * Let the music sub-sub-module be treated as another '3.0 (quilt)' component,
    add the symlink dance to make this work without patches
  * Initial debian/copyright update with cme, manually add the missing licenses
  * Update gbp.conf for the new branch names

 -- Didier Raboud <odyx@debian.org>  Fri, 12 Jun 2015 08:35:42 +0200

colobot (0.1.3-1) unstable; urgency=medium

  * New 0.1.3 upstream release

  * Drop patches that were from upstream
  * Update debian/copyright:
    - Copyright dates
    - New CC-BY-SA-4.0 files in the data tarball

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Jul 2014 12:03:20 +0200

colobot (0.1.2-4) unstable; urgency=medium

  * Add menu file and xpm icon, therefore add imagemagick to Build-Depends to
    convert the icon from the 32x32 png (Closes: #731838)
  * Replace the patch to hide the black squares bug by the upstream fix
  * Move the repository from collab-maint to pkg-games; update the VCS-*
    fields accordingly

 -- Didier Raboud <odyx@debian.org>  Fri, 14 Mar 2014 13:53:55 +0100

colobot (0.1.2-3) unstable; urgency=low

  * Try another patch to consider non-Linux GNU variants

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 13:15:03 +0100

colobot (0.1.2-2) unstable; urgency=low

  * Add patch to let kFreeBSD and Hurd be considered Linuxes and
    therefore let the desktop files be installed

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Nov 2013 12:32:45 +0100

colobot (0.1.2-1) unstable; urgency=low

  * New 0.1.2 upstream release
    - Add Russian translation of interface and levels
    - Replace x86 assembler "int $3" code with assert(0)
    - New levels translation infrastructure in -data
  * Add patch to hide the black squares bug

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Nov 2013 09:25:48 +0100

colobot (0.1.1-2) unstable; urgency=low

  * debian/copyright fixes:
    - Add gnulib's localename copy copyright mention
    - Add gmock copyright reference
    - Add license statement for DejaVu fonts' copy (which is not used in
      the binary package)
  * Package re-organisation:
    - Move fonts links and translations back to colobot main package
    - Split colobot-common into -common, -sounds and -textures

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Nov 2013 13:41:55 +0100

colobot (0.1.1-1) unstable; urgency=low

  * New 0.1.1 upstream release
    - Fix non-freeness problems in data:
      - Replace CREATIVE-licensed thunder sound by a public-domain
        thunder sound
      - Drop useless license statement about the photograph of the
        NGC3606 nebula, which is in the public-domain
  * Drop noisy development-merging machinery in debian/rules
  * Add small gbp.conf
  * Bump Standards-Version to 3.9.5 without changes needed
  * Add Vcs-* fields to debian/control

 -- Didier Raboud <odyx@debian.org>  Mon, 04 Nov 2013 09:47:45 +0100

colobot (0.1.0-1) unstable; urgency=low

  * Colobot Gold 0.1.0 alpha initial Debian release. (Closes: #695829)

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Oct 2013 22:14:50 +0200
